require("player")
require("map")

function love.load()
	

	font = love.graphics.newFont(32)
	love.graphics.setFont(font)
	
	gameState = "gui"
	windowWidth = love.window.getWidth()
	windowHeight = love.window.getHeight()

	tileSize = 32

	player.load(100, 100)
	level.load()

	gravity = 1000
end

function love.update(dt)
	
	if gameState == "gui" then
		if love.keyboard.isDown("a") then gameState = "game" end
	elseif gameState == "game" then
		player.update(dt)
	end


end

function love.draw()
	
	if gameState == "gui" then
		love.graphics.printf("RONNY JOMPSALOT -- GENERIC PLATFORMER.", windowWidth/2, windowHeight/2-100, 0, "center")
	elseif gameState == "game" then
		player.draw()
		level.draw()
	end
end

